Skip to content
New issue

Have a question about this project? Sign up for a free GitHub account to open an issue and contact its maintainers and the community.

By clicking “Sign up for GitHub”, you agree to our terms of service and privacy statement. We’ll occasionally send you account related emails.

Already on GitHub? Sign in to your account

Only install monotonic on python2 #583

Merged
merged 6 commits into from Oct 22, 2020
Merged

Conversation

@yazug
Copy link
Contributor

@yazug yazug commented Aug 15, 2019

monotonic is a backport of time.monotonic from python3. Only install it
for python2.

monotonic is a backport of time.monotonic from python3. Only install it
for python2.
Copy link
Member

@temoto temoto left a comment

Thanks for your work!

eventlet/__init__.py Outdated Show resolved Hide resolved
eventlet/hubs/hub.py Outdated Show resolved Hide resolved
eventlet/hubs/hub.py Outdated Show resolved Hide resolved
eventlet/hubs/hub.py Outdated Show resolved Hide resolved
@codecov
Copy link

@codecov codecov bot commented Oct 21, 2020

Codecov Report

Merging #583 into master will decrease coverage by 2%.
The diff coverage is 100%.

Impacted file tree graph

@@           Coverage Diff            @@
##           master    #583     +/-   ##
========================================
- Coverage      46%     44%     -3%     
========================================
  Files          81      87      +6     
  Lines        7976   11845   +3869     
  Branches     1365    1777    +412     
========================================
+ Hits         3728    5278   +1550     
- Misses       3995    6165   +2170     
- Partials      253     402    +149     
Flag Coverage Δ
#ipv6 16% <90%> (+<1%) ⬆️
#py27epolls 56% <70%> (+5%) ⬆️
#py27poll 56% <70%> (+5%) ⬆️
#py27selects 55% <70%> (+6%) ⬆️
#py34epolls ?
#py34poll ?
#py35epolls 49% <90%> (+7%) ⬆️
#py35poll 49% <90%> (+7%) ⬆️
#py35selects 49% <90%> (+7%) ⬆️
#py36epolls 49% <90%> (+6%) ⬆️
#py36poll 49% <90%> (+7%) ⬆️
#py36selects 49% <90%> (+7%) ⬆️
#py37epolls 49% <90%> (+7%) ⬆️
#py37poll 49% <90%> (+7%) ⬆️
#py37selects 49% <90%> (+7%) ⬆️
#py38epolls 41% <90%> (?)
#py38poll 41% <90%> (?)
#py38selects 40% <90%> (?)

Flags with carried forward coverage won't be shown. Click here to find out more.

Impacted Files Coverage Δ
eventlet/__init__.py 93% <100%> (ø)
eventlet/hubs/hub.py 88% <100%> (-4%) ⬇️
eventlet/green/selectors.py 42% <0%> (-48%) ⬇️
eventlet/green/urllib/request.py 50% <0%> (-42%) ⬇️
eventlet/green/BaseHTTPServer.py 60% <0%> (-40%) ⬇️
eventlet/green/MySQLdb.py 57% <0%> (-38%) ⬇️
eventlet/green/urllib/__init__.py 44% <0%> (-36%) ⬇️
eventlet/debug.py 64% <0%> (-27%) ⬇️
eventlet/support/greenlets.py 75% <0%> (-25%) ⬇️
eventlet/hubs/epolls.py 65% <0%> (-25%) ⬇️
... and 52 more

Continue to review full report at Codecov.

Legend - Click here to learn more
Δ = absolute <relative> (impact), ø = not affected, ? = missing data
Powered by Codecov. Last update 7f8d478...9b3d983. Read the comment docs.

@temoto
temoto approved these changes Oct 21, 2020
setup.py Outdated Show resolved Hide resolved
@temoto temoto merged commit e918595 into eventlet:master Oct 22, 2020
2 of 3 checks passed
2 of 3 checks passed
@codecov
codecov/project 44% (+-3%) compared to 7f8d478
Details
@codecov
codecov/patch 100% of diff hit (target 46%)
Details
continuous-integration/travis-ci/pr The Travis CI build passed
Details
bors bot added a commit to duckinator/parts.horse that referenced this pull request Oct 24, 2020
68: Update eventlet to 0.29.1 r=duckinator a=pyup-bot


This PR updates [eventlet](https://pypi.org/project/eventlet) from **0.28.0** to **0.29.1**.



<details>
  <summary>Changelog</summary>
  
  
   ### 0.29.1
   ```
   ======
patcher: [py27] recursion error in pytest/python2.7 installing register_at_fork eventlet/eventlet#660
patcher: monkey_patch(builtins=True) failed on py3 because `file` class is gone eventlet/eventlet#541
don&#39;t crash on PyPy 7.0.0 eventlet/eventlet#547
Only install monotonic on python2 eventlet/eventlet#583
   ```
   
  
  
   ### 0.29.0
   ```
   ======
* ssl: context wrapped listener fails accept() eventlet/eventlet#651
   ```
   
  
  
   ### 0.28.1
   ```
   ======
* Sorry, Eventlet was broken on Windows for versions 0.27-0.28
  patcher: no os.register_at_fork on Windows (654)
* Clean up TypeError in __del__
   ```
   
  
</details>


 

<details>
  <summary>Links</summary>
  
  - PyPI: https://pypi.org/project/eventlet
  - Changelog: https://pyup.io/changelogs/eventlet/
  - Homepage: http://eventlet.net
</details>



Co-authored-by: pyup-bot <github-bot@pyup.io>
Sign up for free to join this conversation on GitHub. Already have an account? Sign in to comment
Projects
None yet
Linked issues

Successfully merging this pull request may close these issues.

None yet

3 participants